Skip to main content
GET
/
v1
/
members
/
{memberId}
Get workspace member by id
curl --request GET \
  --url https://app.chatbotx.io/api/v1/members/{memberId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "workspaceId": "<string>",
  "userId": "<string>",
  "notificationChannels": "<string>",
  "notificationTypes": "<string>",
  "permissions": {
    "superAdmin": true,
    "analytics": true,
    "flows": true,
    "contacts": true,
    "onlyAssignedContacts": true,
    "emailAndPhone": true,
    "broadcast": true,
    "ecommerce": true
  },
  "user": {
    "id": "<string>",
    "name": "<string>",
    "image": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

memberId
string
required
Pattern: \d+

Response

200 - application/json

OK

id
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
workspaceId
string
required
userId
string
required
role
enum<string>
required
Available options:
owner,
agent
notificationChannels
required
notificationTypes
required
permissions
object
required
user
object
required